Package com.smartgwt.client.ai

# Class CreateDashboardComponentDataQuestionStepResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.CreateDashboardComponentDataQuestionStepResult

All Implemented Interfaces:
  `HasHandlers`

public class CreateDashboardComponentDataQuestionStepResult extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateDashboardComponentDataQuestionStepResult()`
  `CreateDashboardComponentDataQuestionStepResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJSCode()`
  `static CreateDashboardComponentDataQuestionStepResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `CreateDashboardComponentDataQuestionStep`
  `getStep()`
  `CreateDashboardComponentDataQuestionStepResult`
  `setJSCode(String jsCode)`
  `CreateDashboardComponentDataQuestionStepResult`
  `setStep(CreateDashboardComponentDataQuestionStep step)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateDashboardComponentDataQuestionStepResult

    public CreateDashboardComponentDataQuestionStepResult()

  - ### CreateDashboardComponentDataQuestionStepResult

    public CreateDashboardComponentDataQuestionStepResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static CreateDashboardComponentDataQuestionStepResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setJSCode

    public CreateDashboardComponentDataQuestionStepResult setJSCode(String jsCode)
    Parameters:
      `jsCode` - New jsCode value. Default value is *specified via AI*
    Returns:
      `CreateDashboardComponentDataQuestionStepResult` instance, for chaining setter calls

  - ### getJSCode

    public String getJSCode()
    Returns:
      Current jsCode value. Default value is *specified via AI*

  - ### setStep

    public CreateDashboardComponentDataQuestionStepResult setStep(CreateDashboardComponentDataQuestionStep step)
    Parameters:
      `step` - New step value. Default value is *initialized by the implementation*
    Returns:
      `CreateDashboardComponentDataQuestionStepResult` instance, for chaining setter calls

  - ### getStep

    public CreateDashboardComponentDataQuestionStep getStep()
    Returns:
      Current step value. Default value is *initialized by the implementation*